<!-- Menu de navegación sin loguear -->
<div class="nav" *ngIf="userService.validacion(); else estaLogueado">
  <!-- Logo de CAMEBOL -->
  <div class="logo">
    <img *ngIf="responsive" src="../../../../../assets/image/logo.png" alt="Logo de CAMEBOL" title="CAMEBOL">
  </div>

  <!-- Menú de navegación -->
  <div class="navbar">
    <ul>
      <li><a routerLink="/inicio" routerLinkActive="active">Inicio</a></li>
      <li><a routerLink="/quienes" routerLinkActive="active">¿Quiénes somos?</a></li>
      <li><a routerLink="/contacto" routerLinkActive="active">Contacto</a></li>
    </ul>
  </div>

  <!-- Botón para la responsividad -->
  <button class="menu-collapsed is-active">
    <span>.</span>
    <span>.</span>
    <span>.</span>
  </button>
</div>

<!-- Menú de navegación usuario Logueado -->
<ng-template #estaLogueado>
  <nav class="nav_logueado">
    <!-- Logo de CAMEBOL -->
    <div class="logo">
      <figure>
        <p-image src="../../../../../assets/image/juntas-impa.png" alt="Logo de CAMEBOL" title="CAMEBOL"
          [preview]="true"></p-image>
      </figure>
    </div>

    <!-- Menú de navegación -->
    <div class="menu__hamburguer">
      <img (click)="hamburguerOpen = true" class="menu__open" src="../../../../../assets/image/icon-menu.svg"
        alt="Icon menu">
      <img (click)="hamburguerOpen = false" class="{{hamburguerOpen ? 'menu__close active' : 'menu__close '}}"
        src="../../../../../assets/image/icon-close-menu.svg" alt="Icon close">
    </div>

    <ul class="{{hamburguerOpen? 'menu_nav open' : 'menu_nav'}}">
        <li><a routerLink="/home" (click)="ocultar()" routerLinkActive="active">Inicio</a></li>
        <li><a routerLink="/listaproductos" (click)="ocultar()" routerLinkActive="active">Productos</a></li>
        <li><a routerLink="/categorias" (click)="ocultar()" routerLinkActive="active">Categorías</a></li>
        <li><a routerLink="/emprendimientos" (click)="ocultar()" routerLinkActive="active">Emprendimientos</a></li>
    </ul>

    <!-- Foto de perfil del usuario y menú de opciones -->
    <div class="foto_perfil">
      <figure (click)="mostrarMenuPerfil = true">
        <img [src]="usuario.ImgUrl" alt="Foto de perfil" title="Foto de perfil">
      </figure>

      <div class="perfil_opciones" [class.mostrar]="mostrarMenuPerfil">
        <!-- Foto de perfil, nombre y correo -->
        <div class="content-foto_info">
          <figure>
            <img [src]="usuario.ImgUrl" alt="Foto de perfil" title="Foto de perfil">
          </figure>

          <div class="info">
            <span class="nombre">{{ usuario.Nombre }} {{ usuario.PrimerApellido }} {{ usuario.SegundoApellido }}</span>
            <span class="correo">{{ usuario.Email }}</span>
          </div>
        </div>

        <p-divider></p-divider>

        <!-- Opciones de navegación -->
        <ul class="lista_opciones">
          <li routerLink="/perfil/mi-cuenta" (click)="ocultar()">
            <i class="uil uil-user-square"></i>
            <span>Mi cuenta</span>
          </li>
          <li routerLink="/mis-compras" (click)="ocultar()">
            <i class="uil uil-shopping-bag"></i>
            <span>Mis compras</span>
          </li>
          <li routerLink="/mis-reservas" (click)="ocultar()">
            <i class="uil uil-calendar-alt"></i>
            <span>Mis Reservas</span>
          </li>

          <li routerLink="/calificacion" (click)="ocultar()">
            <i class="uil uil-star"></i>
            <span>Calificación</span>
          </li>

          <p-panelMenu class="li-nth2" [model]="items" [style]="{'width':'100%'}" [multiple]="true"
            *ngIf="esEmprendedora" (click)="$event.stopPropagation()"></p-panelMenu>

          <li routerLink="/perfil/seguridad" (click)="ocultar()">
            <i class="uil uil-padlock"></i>
            <span>Seguridad</span>
          </li>

          <p-divider></p-divider>

          <li routerLink="/inicio" (click)="cerrarSesion();">
            <i class="uil uil-signout"></i>
            <span>Cerrar sesión</span>
          </li>
        </ul>
      </div>
    </div>
  </nav>
</ng-template>
